Package org.springframework.http

# Enum Class HttpStatus.Series

java.lang.Object
java.lang.Enum<HttpStatus.Series>
org.springframework.http.HttpStatus.Series

All Implemented Interfaces:
  `Serializable`, `Comparable<HttpStatus.Series>`, `Constable`

Enclosing class:
  HttpStatus

public static enum HttpStatus.Series extends Enum<HttpStatus.Series>
Enumeration of HTTP status series.

Retrievable via `HttpStatus.series()`.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CLIENT_ERROR`
`INFORMATIONAL`
`REDIRECTION`
`SERVER_ERROR`
`SUCCESSFUL`

## Method Summary

Modifier and Type
Method
Description
`static HttpStatus.Series`
`resolve(int statusCode)`
Resolve the given status code to an `HttpStatus.Series`, if possible.
`int`
`value()`
Return the integer value of this status series.
`static HttpStatus.Series`
`valueOf(int statusCode)`
Return the `Series` enum constant for the supplied status code.
`static HttpStatus.Series`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static HttpStatus.Series`
`valueOf(HttpStatus status)`
Deprecated.
as of 5.3, in favor of invoking `HttpStatus.series()` directly
`static HttpStatus.Series[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### INFORMATIONAL

public static final HttpStatus.Series INFORMATIONAL

### SUCCESSFUL

public static final HttpStatus.Series SUCCESSFUL

### REDIRECTION

public static final HttpStatus.Series REDIRECTION

### CLIENT_ERROR

public static final HttpStatus.Series CLIENT_ERROR

### SERVER_ERROR

public static final HttpStatus.Series SERVER_ERROR

## Method Details

### values

public static HttpStatus.Series[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static HttpStatus.Series valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### value

public int value()
Return the integer value of this status series. Ranges from 1 to 5.

### valueOf

@Deprecated public static HttpStatus.Series valueOf(HttpStatus status)
Deprecated.
as of 5.3, in favor of invoking `HttpStatus.series()` directly
Return the `Series` enum constant for the supplied `HttpStatus`.

Parameters:
  `status` - a standard HTTP status enum constant
Returns:
  the `Series` enum constant for the supplied `HttpStatus`

### valueOf

public static HttpStatus.Series valueOf(int statusCode)
Return the `Series` enum constant for the supplied status code.

Parameters:
  `statusCode` - the HTTP status code (potentially non-standard)
Returns:
  the `Series` enum constant for the supplied status code
Throws:
  `IllegalArgumentException` - if this enum has no corresponding constant

### resolve

@Nullable public static HttpStatus.Series resolve(int statusCode)
Resolve the given status code to an `HttpStatus.Series`, if possible.

Parameters:
  `statusCode` - the HTTP status code (potentially non-standard)
Returns:
  the corresponding `Series`, or `null` if not found
Since:
  5.1.3